WhatsApp Sync
Get WhatsApp sync status
Get the current sync status for a sender’s WhatsApp coexistence account. Only available for senders connected in coexistence mode (WhatsApp Business App + Cloud API).
GET
/
v1
/
senders
/
{senderId}
/
whatsapp-sync
Get WhatsApp sync status
curl --request GET \
--url https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.zavu.dev/v1/senders/{senderId}/whatsapp-sync', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"sync": {
"isCoexistence": true,
"status": "active",
"history": {
"status": "completed",
"canSync": false,
"requestedAt": "2024-01-15T10:00:00Z",
"completedAt": "2024-01-15T10:05:00Z"
},
"contacts": {
"status": "not_requested",
"canSync": true,
"requestedAt": null
}
}
}⌘I
Get WhatsApp sync status
